Name:             maven-shared-jarsigner
Version:          1.3.2
Release:          %mkrel 5
Group:            Development/Java
Summary:          Component to assist in signing Java archives
License:          ASL 2.0
URL:              http://maven.apache.org/shared/maven-jarsigner/
BuildArch:        noarch

Source0:          http://repo1.maven.org/maven2/org/apache/maven/shared/maven-jarsigner/%{version}/maven-jarsigner-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils) >= 0.6
BuildRequires:  mvn(org.apache.maven:maven-toolchain)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)

%description
Apache Maven Jarsigner is a component which provides utilities to sign
and verify Java archive and other files in your Maven MOJOs.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -qn maven-jarsigner-%{version}
find -name \*.jar -delete

%build
# Tests require bundled JARs, which are removed.
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.TXT

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.3.2-5.mga6
+ Revision: 977281
- First rebuild of the java stack
- sync package maven-shared-jarsigner with fedora

* Tue Dec 30 2014 daviddavid <daviddavid> 1.3.2-1.mga5
+ Revision: 807379
- imported package maven-shared-jarsigner


